## apt-howto 1.7.7-3

=== Makefile ===
#
# Makefile for the APT-HOWTO
#
# stolen from maint-guide =)
#

MANUAL := $(shell echo $(notdir $(CURDIR)) | perl -pe 's/-[\d.]+$$//')

# this can and will be overriden by a higher level makefile
PUBLISHDIR := /var/www

all: html txt ps

# generating HTML
html: $(patsubst %.sgml,%.html/index.html,$(wildcard *.sgml))

$(MANUAL)-%.html/index.html: $(MANUAL)-%.sgml
	debiandoc2html -l $* $<

# generating plain text
txt text: $(patsubst %.sgml,%.txt,$(wildcard *.sgml))

$(MANUAL)-%.txt: $(MANUAL)-%.sgml
	debiandoc2text -l $* $<

# generating PostScript
ps: $(patsubst %.sgml,%.ps,$(wildcard *.sgml))

$(MANUAL)-%.ps: $(MANUAL)-%.sgml
	debiandoc2latexps -l $* $<

# publishing to the DDP web pages
publish: html
	test -d $(PUBLISHDIR)/$(MANUAL) || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.html
	install -p -m 644 $(MANUAL)*.html/*.html $(PUBLISHDIR)/$(MANUAL)/
	test -f $(PUBLISHDIR)/$(MANUAL)/index.en.html && \
	ln -fs $(PUBLISHDIR)/$(MANUAL)/index.en.html $(PUBLISHDIR)/$(MANUAL)/index.html

# validating SGML
validate:
	set -x; for i in $(wildcard *.sgml); do nsgmls -ges -wall $$i; done

# cleaning up
clean distclean:
	rm -f $(MANUAL)*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,sasp*} *~
	rm -rf $(MANUAL)*.html

.PHONY: all publish clean distclean validate

=== debian/changelog ===
apt-howto (1.7.7-3) unstable; urgency=high

  * apt-howto-pl.sgml:
  - updated to match 1.7.7, thanks to "Pawe" <pawel.tecza@poczta.fm>
  * urgency high because 1.7.6 misses important information, so 1.7.7
    is better suited to woody... also, there are no "dangerous"
    packaging changes since the latest releases, just contents to the
    sgml

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 20 Apr 2002 17:13:01 -0300

apt-howto (1.7.7-2) unstable; urgency=low

  * apt-howto-en.sgml,ml, apt-howto-pt_BR.sgml:
  - noted the need to include lines of both distributions
    when using 'mixed'systems (Closes: #142574)

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 14 Apr 2002 02:16:02 -0300

apt-howto (1.7.7-1) unstable; urgency=low

  * debian/control, debian/rules:
  - added new packages apt-howto-{it,ru}
  - added tetex-extra to Build-Depends-Indep, to fix the
    building of the package (Closes: #140131)
  * Adds new Russian translation, thanks to ilgiz kalmetev 
    <ilgiz@bashtelecom.ru> and Italian translation thanks
    to Luca Monducci <luca.mo@tiscali.it>
  * Typo fixes and new versions, with more information on
    mixing releases

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 31 Mar 2002 19:25:28 -0300

apt-howto (1.7.6-9) unstable; urgency=low

  * debian/control:
  - added new package apt-howto-es
  * adds new spanish translation, thanks to Thomas Bliesener 
    <bli@melix.com.mx>
  * Fixes problems with the naming of the text files in all
    doc-base files. (Closes: #137517)
  * Fixes typo on 'useful', thanks to Matt Kraai <kraai@debian.org>
  * Applied a patch with more typos fixed, thanks to
    Matt Kraai <kraai@debian.org>
  * Added Matt Kraai to the Thanks section of all languages.
    I copied the "thanks" sentences from Bryan Stillwell in
    all languages and fixed the bad position of the &lt; thing
    on apt-howto-es.sgml on Bryan's entry

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 12 Mar 2002 21:49:33 -0300

apt-howto (1.7.6-8) unstable; urgency=low

  * debian/control:
  - added tetex-bin to Build-Depends-Indep (Closes: #133076)

 -- Gustavo Noronha Silva <kov@debian.org>  Sat,  9 Feb 2002 14:06:43 -0200

apt-howto (1.7.6-7) unstable; urgency=low

  * debian/control:
  - small typo fixed (versio->version) (Closes: #132302)

 -- Gustavo Noronha Silva <kov@debian.org>  Wed,  6 Feb 2002 01:40:21 -0200

apt-howto (1.7.6-6) unstable; urgency=low

  * apt-howto-ko.sgml:
  - updated translation, thanks to Yooseong Yang <yooseong@debian.org>
  * debian/control:
  - no need for debhelper >> 3.0.0.
  * debian/rules:
  - DH_COMPAT=2

 -- Gustavo Noronha Silva <kov@debian.org>  Fri,  1 Feb 2002 02:43:48 -0200

apt-howto (1.7.6-5) unstable; urgency=low

  * fixed the location of &lt; on Credits section
    (Closes: #128792)
  * debian/control:
  - changed description to tell the user that the apt-howto
    is there and depends on all others to provide a smooth
    upgrade from non-splitted version (Closes: #131246)

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 29 Jan 2002 17:51:40 -0200

apt-howto (1.7.6-4) unstable; urgency=low

  * spelling corrections
  * updated Polish translation
  * debian/apt-howto-pl.doc-base.apt-howto-pl:
  - changed the description to a description written in Polish
  (thanks to "Pawel Tecza" <pawel.tecza@poczta.fm> for all entries
  above)

 -- Gustavo Noronha Silva <kov@debian.org>  Wed,  9 Jan 2002 13:27:13 -0200

apt-howto (1.7.6-3) unstable; urgency=low

  * debian/README.Debian:
  - fixed the Debian-BR's URL
  * debian/*:
  - fixed the names of the doc-base files

 -- Gustavo Noronha Silva <kov@debian.org>  Mon,  7 Jan 2002 12:48:25 -0200

apt-howto (1.7.6-2) unstable; urgency=low

  * Split the package in several ones, one for each translations.
    I received some informal (non-BTS) messages asking for that
    and I really think that it is better
  * made all lang-specific packages Conflict and Replace 
    apt-howto <= 1.7.6-1

 -- Gustavo Noronha Silva <kov@debian.org>  Sun,  6 Jan 2002 00:41:22 -0200

apt-howto (1.7.6-1) unstable; urgency=low

  * 1.7.6:
  - added a hint for using the -o Debug::pkgProblemResolver=yes
    switch to solve dist-upgrade problems (Closes: #127349)
    thanks to Ross Boylan <RossBoylan@stanfordalumni.org>
  - added APT4RPM as one of the apt-supporting "distributions"
    thanks to Richard Bos <allabos@freeler.nl>
  - wrote a section about the equivs program, this will solve
    some of the problems reported by Ian Bicking <ianb@colorstudy.com>
    the rest of the problems are design decisions of APT and dpkg,
    and were already reported as wishlists, etc (Closes: #120099)
  - wrote a section about the localepurge program, in the new chapter
    I created for equivs and localepurge.

 -- Gustavo Noronha Silva <kov@debian.org>  Fri,  4 Jan 2002 21:05:25 -0200

apt-howto (1.7.5-2) unstable; urgency=low

  * Makefile:
  - removed -c on debiandoc2html call to generate index.html files
  instead of index.$lang.html

 -- Gustavo Noronha Silva <kov@debian.org>  Thu,  3 Jan 2002 21:44:18 -0200

apt-howto (1.7.5-1) unstable; urgency=low

  * small typo fixed (Closes: #127348), thanks to
  Ross Boylan <RossBoylan@stanfordalumni.org>

 -- Gustavo Noronha Silva <kov@debian.org>  Wed,  2 Jan 2002 03:18:03 -0200

apt-howto (1.7.5) unstable; urgency=low

  * Some minor fixes
  * Polish version updated to 1.7.5 too

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 15 Dec 2001 22:57:43 -0200

apt-howto (1.7.4-1) unstable; urgency=low

  * Updating Polish version, thanks to Pawel Tecza.

 -- Gustavo Noronha Silva <kov@debian.org>  Sun,  2 Dec 2001 00:44:53 -0200

apt-howto (1.7.4) unstable; urgency=low

  * Adding Korean version
  * Updating Polish version
  * debian/rules: creates apt-howto-ko.ps with a message, I cannot
    understand what's happening with korean version when compiling
    with debiandoc2latexps, but I'll contact the translator about this.


=== debian/control ===
Source: apt-howto
Section: doc
Priority: optional
Maintainer: Gustavo Noronha Silva <kov@debian.org>
Build-Depends-Indep: debhelper (>> 2.0.0), debiandoc-sgml, tetex-bin, tetex-extra
Standards-Version: 3.5.6

Package: apt-howto
Architecture: all
Depends: apt-howto-pt-br, apt-howto-en, apt-howto-pl, apt-howto-ko, apt-howto-es, apt-howto-it, apt-howto-ru
Description: A Guide to APT
 This manual tries to be a quick but complete source of
 information about the APT system and its features.
 . 
 It documents the main uses of APT with many examples.
 .
 This package depends on all translations of the manual.
 Its purpose is to provide a smooth upgrade for those
 who had apt-howto installed before the package was splited
 and may be removed after that.

Package: apt-howto-pt-br
Architecture: all
Conflicts: apt-howto (<= 1.7.6-1)
Replaces: apt-howto (<= 1.7.6-1)
Description: A Guide to APT (Portuguese)
 This manual tries to be a quick but complete source of
 information about the APT system and its features.
 . 
 It documents the main uses of APT with many examples.
 .
 This package holds the Portuguese version, which is the 
 primary version.

Package: apt-howto-en
Architecture: all
Conflicts: apt-howto (<= 1.7.6-1)
Replaces: apt-howto (<= 1.7.6-1)
Description: A Guide to APT (English)
 This manual tries to be a quick but complete source of
 information about the APT system and its features.
 . 
 It documents the main uses of APT with many examples.
 .
 This package contains the English version.

Package: apt-howto-pl
Architecture: all
Conflicts: apt-howto (<= 1.7.6-1)
Replaces: apt-howto (<= 1.7.6-1)
Description: A Guide to APT (Polish)
 This manual tries to be a quick but complete source of
 information about the APT system and its features.
 . 
 It documents the main uses of APT with many examples.
 .
 This package contains the Polish translation.

Package: apt-howto-ko
Architecture: all
Conflicts: apt-howto (<= 1.7.6-1)
Replaces: apt-howto (<= 1.7.6-1)
Description: A Guide to APT (Korean)
 This manual tries to be a quick but complete source of
 information about the APT system and its features.
 . 
 It documents the main uses of APT with many examples.
 .
 This package contains the Korean translation.

Package: apt-howto-es
Architecture: all
Conflicts: apt-howto (<= 1.7.6-1)
Replaces: apt-howto (<= 1.7.6-1)
Description: A Guide to APT (Spanish)
 This manual tries to be a quick but complete source of
 information about the APT system and its features.
 . 
 It documents the main uses of APT with many examples.
 .
 This package contains the Spanish version.

Package: apt-howto-it
Architecture: all
Conflicts: apt-howto (<= 1.7.6-1)
Replaces: apt-howto (<= 1.7.6-1)
Description: A Guide to APT (Italian)
 This manual tries to be a quick but complete source of
 information about the APT system and its features.
 . 
 It documents the main uses of APT with many examples.
 .
 This package contains the Italian version.

Package: apt-howto-ru
Architecture: all
Conflicts: apt-howto (<= 1.7.6-1)
Replaces: apt-howto (<= 1.7.6-1)
Description: A Guide to APT (Russian)
 This manual tries to be a quick but complete source of
 information about the APT system and its features.
 . 
 It documents the main uses of APT with many examples.
 .
 This package contains the Russian version.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

export LANGS=en pt_BR pl ko es it ru
export FORMATS=html text latexps

build: build-stamp
build-stamp:
	dh_testdir

	echo "Building ps for Korean and Italian version don't work" \
	| tee apt-howto-ko.ps > apt-howto-it.ps

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Cleans the build
	-rm -rf *.html *.ps *.txt *.sasp *.log *.tex *.toc *.aux *.dvi

	dh_clean

install:
install: build
	dh_testdir
	dh_testroot
	dh_clean -k

	# Install the other language versions
	for lang in $$LANGS ; do \
		install -d debian/tmp/usr/share/doc/apt-howto/$$lang/apt-howto-$$lang.html ; \
		install -m 644 apt-howto-$$lang.html/* debian/tmp/usr/share/doc/apt-howto/$$lang/apt-howto-$$lang.html/ ; \
		install -m 644 apt-howto-$$lang.ps debian/tmp/usr/share/doc/apt-howto/$$lang ; \
		install -m 644 apt-howto-$$lang.txt debian/tmp/usr/share/doc/apt-howto/$$lang ; \
		install -m 644 apt-howto-$$lang.sgml debian/tmp/usr/share/doc/apt-howto/$$lang ; \
	done

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_movefiles
	dh_installdocs
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## apt-howto 1.8.6

=== Makefile ===
#
# New Makefile Template (Osamu Aoki)
#
#  Build html(multi-page), txt, ps, pdf, and other formats.
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for the package build.
# ------------------------------------------------------------------- #
#                          WARNING                                    #
#         Use with caution, aimed at Woody system                     #
#   "ps" and "pdf" tends to break in some ill-configured systems      #
# ------------------------------------------------------------------- #
# Read local texmf.cnf file

export TEXMFCNF=texmf:

# Following default shall be edited by the coordinator for the entire
# set of languages.  If a subsection owner wishes to override settings,
# they can be overridden by running make with "make 'LANGS=fi'" etc.. 

# =================================================================== #
#                 Default configuration part: Customize               #
# =================================================================== #

# The directory in which this makefile resides must also contain a file
# called <directoryname>.[<language>.]sgml, which is the top-level file
# for the manual in this directory.

# Basename for language-dependent SGML (DDP default, generated)
#MANUAL := $(notdir $(CURDIR))
MANUAL := apt-howto

# Build type: Possible values are BUILD_TYPE = web|package|sf
BUILD_TYPE  := web

# Build option
BILD_OPT := 

#PUBLISHDIR := /org/www.debian.org/www/doc/manuals
PUBLISHDIR := ~/public_html

# Locale list of "publish" target for the DDP documents:
LANGS := de en es fr it ja ko pl pt-br ru tr 

# All SGML source files
SGMLSRCS := $(foreach lang, $(LANGS), $(MANUAL).$(lang).sgml) 

# =================================================================== #
#                 Build target default part: Routine                  #
# =================================================================== #
all: html txt ps pdf README

# List of html stamp files to be built
HTMLS := $(foreach lang,$(LANGS),$(MANUAL).$(lang).html.stamp)

# List of txt to be built
TXTS := $(foreach lang,$(LANGS),$(MANUAL).$(lang).txt)

# List of dvi to be built
DVIS := $(foreach lang,$(LANGS),$(MANUAL).$(lang).dvi)

# List of ps to be built
PSS := $(foreach lang,$(LANGS),$(MANUAL).$(lang).ps)

# List of pdf to be built
PDFS := $(foreach lang,$(LANGS),$(MANUAL).$(lang).pdf)

# =================================================================== #
#                 Build target part: Customize                        #
# =================================================================== #
# If some languages have problems building, filter-out in here.

html: $(HTMLS)
text txt:  $(TXTS)
dvi:   $(DVIS)
ps:   $(PSS)
pdf:  $(PDFS)
publish: publish-html publish-txt publish-ps publish-pdf

# =================================================================== #
#                 Build rule part: If not package build               #
# =================================================================== #

$(MANUAL).%.ent:
	echo "<!ENTITY language \"$*\">"                 > $@
	echo "<!ENTITY % lang-$* \"INCLUDE\">"          >> $@
	echo "<!ENTITY docdate \"$$(bin/getdocdate $*)\">" >> $@
	echo "<!ENTITY docversion \"CVS\">"             >> $@

# Version list
README: README.org
	-bin/doc-check -ha  >README.html
	-w3m -dump -cols 78 README.html >README.txt
	sed -e "/^  ----------------------------------------------------------------------------/r README.txt"  \
	   <README.org >README
	-rm README.html README.txt

# =================================================================== #
#                 Build rule part: Routine                            #
# =================================================================== #

# HTML

$(MANUAL).%.html.stamp: $(MANUAL).%.sgml  $(MANUAL).%.ent
	debiandoc2html $(BUILD_OPT) -t$(MANUAL) -l $$(echo $* | bin/getlocale) -c $<
	bin/fixhtml $* $(MANUAL).$*.html
# since $(MANUAL).%.html/index.%.html cannot be a target file
	touch $(MANUAL).$*.html.stamp

# TXT

$(MANUAL).%.txt: $(MANUAL).%.sgml $(MANUAL).%.ent
	debiandoc2text $(BUILD_OPT) -l     $$(echo $* | bin/getlocale) $<
	bin/fixtxt $* $(MANUAL).$*.txt

# generate LaTeX format file with all necessary languages preloaded
 
# even if language.dat is in . it isn't found without setting TEXINPUTS
# (. is always in path, so I do not understand this!)

latex.fmt: texmf/language.dat
	TEXINPUTS=$$(pwd)/texmf/:$$(kpsetool -n tex -p tex) \
	fmtutil --byfmt latex --fmtdir .

pdflatex.fmt: texmf/language.dat
	TEXINPUTS=$$(pwd)/texmf/:$$(kpsetool -n pdftex -p tex) \
	fmtutil --byfmt pdflatex --fmtdir .

# required by thumbpdf (called from debiandoc2latexpdf)
pdftex.fmt: texmf/language.dat
	TEXINPUTS=$$(pwd)/texmf/:$$(kpsetool -n pdftex -p tex) \
	fmtutil --byfmt pdftex --fmtdir .

# DVI

$(MANUAL).%.dvi: $(MANUAL).%.sgml $(MANUAL).%.ent latex.fmt
	bin/debiandoc2latexdvi $(BUILD_OPT) -l  $$(echo $* | bin/getlocale) $<

# PS

$(MANUAL).%.ps: $(MANUAL).%.sgml $(MANUAL).%.ent latex.fmt
	bin/debiandoc2latexps $(BUILD_OPT) -l  $$(echo $* | bin/getlocale) $<

# PDF

$(MANUAL).%.pdf: $(MANUAL).%.sgml $(MANUAL).%.ent pdflatex.fmt pdftex.fmt
	bin/debiandoc2latexpdf $(BUILD_OPT) -l $$(echo $* | bin/getlocale) $<


# =================================================================== #
#                 Build rule part: Web publish                        #
# =================================================================== #

publish-html: html
	test -d $(PUBLISHDIR)/$(MANUAL) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.html
	# install all html
	@$(foreach lang,$(LANGS),\
	 install -p -m 644 $(MANUAL).$(lang).html/*.html \
	          $(PUBLISHDIR)/$(MANUAL)/ ;\
	)
# Create index page
	# Make index page for web
ifneq ("$(BUILD_TYPE)", "package")
	@{ \
	echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\">" ; \
	echo "<html>" ;\
	echo "<head>" ;\
	echo "<meta http-equiv=\"content-type\" content=\"text/html; charset=iso-8859-1\">" ;\
	echo "<title>APT-HOWTO</title>" ;\
	echo "</head>" ;\
	echo "<body>" ;\
	echo "<hr>" ;\
	echo "<h1>APT HOWTO</h1>" ;\
	echo "<hr>" ;\
	echo "<dl>" ;\
	} > $(PUBLISHDIR)/$(MANUAL)/index.html
	@{$(foreach lang,$(LANGS), \
	 . bin/makeindexhtml "$(lang)" "$(MANUAL)" ; ) } >> $(PUBLISHDIR)/$(MANUAL)/index.html 
	@{ \
	echo "</dl>" ;\
	echo "</body>" ;\
	echo "</html>" ;\
	} >> $(PUBLISHDIR)/$(MANUAL)/index.html
endif

publish-txt:  txt
	# install all txt
	test -d $(PUBLISHDIR)/$(MANUAL) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.txt
	# install all txt
	@$(foreach lang,$(LANGS),\
	 install -p -m 644 $(MANUAL).$(lang).txt \
	          $(PUBLISHDIR)/$(MANUAL)/ ;\
	)

publish-ps:  ps
	# install all ps
	test -d $(PUBLISHDIR)/$(MANUAL) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.ps
	# install all ps
	@$(foreach lang,$(LANGS),\
	 install -p -m 644 $(MANUAL).$(lang).ps \
	          $(PUBLISHDIR)/$(MANUAL)/ ;\
	)

publish-pdf:  pdf
	# install all pdf
	test -d $(PUBLISHDIR)/$(MANUAL) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.pdf
	# install all pdf
	@$(foreach lang,$(LANGS),\
	 install -p -m 644 $(MANUAL).$(lang).pdf \
	          $(PUBLISHDIR)/$(MANUAL)/ ;\
	)

#====[ DDP test-script ]==============================================
web:
	$(MAKE) BUILD_TYPE=web "LANGS=en fr" "LANGS2=en" publish-all

#====[ validating SGML ]=======================================================
validate:
	set -x; for i in $(LANGS); do $(MAKE) validate-$$i ; done

validate-%: $(SGMLSRCS) $(MANUAL).%.ent 
	nsgmls -gues -wall $(MANUAL).$*.sgml

# check hyphenations created by LaTeX against validLaTeX.$*.hyphen
check-hyphen:
	for i in $(LANGS); do $(MAKE) check-hyphen-$$i ; done

check-hyphen-%: $(MANUAL).%.dvi
	hyphen_show $(MANUAL).$*.dvi validLaTeX.$*.hyphen


#====[ cleaning up ]===========================================================
distclean: clean
	rm -Rf $(PUBLISHDIR)/$(MANUAL)

clean:
	rm -f $(MANUAL)*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,sasp*,out,tov,tpt,hyp}
	rm -f *~ prior.aux pprior.aux *.log typescript README README.html
	rm -f {latex,pdflatex,pdftex}.{fmt,log} *.tex[01]pdf *.tex[01]ps
	rm -f *.error $(MANUAL).*.ent date.ent
	rm -rf $(MANUAL)*.html *stamp

.PHONY: all html text txt ps pdf files tar sf \
	publish publish-all publish-html publish-ps publish-pdf \
	clean distclean validate

## apt-howto 1.8.10.3

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 PUBLISHDIR := ~/public_html
 
 # Locale list of "publish" target for the DDP documents:
-LANGS := de en es fr it ja ko pl pt-br ru tr 
+LANGS := ca de el en es fr it ja ko pl pt-br ru tr 
 
 # All SGML source files
 SGMLSRCS := $(foreach lang, $(LANGS), $(MANUAL).$(lang).sgml) 
@@ -73,8 +73,8 @@
 html: $(HTMLS)
 text txt:  $(TXTS)
 dvi:   $(DVIS)
-ps:   $(PSS)
-pdf:  $(PDFS)
+ps:   $(shell echo $(PSS) | sed s/apt-howto.el.ps//g)
+pdf:  $(shell echo $(PDFS) | sed s/apt-howto.el.pdf//g)
 publish: publish-html publish-txt publish-ps publish-pdf
 
 # =================================================================== #
@@ -120,30 +120,55 @@
 
 latex.fmt: texmf/language.dat
 	TEXINPUTS=$$(pwd)/texmf/:$$(kpsetool -n tex -p tex) \
-	fmtutil --byfmt latex --fmtdir .
+	tex -ini latex.ini > /dev/null
+#	fmtutil --byfmt latex --fmtdir .
 
 pdflatex.fmt: texmf/language.dat
 	TEXINPUTS=$$(pwd)/texmf/:$$(kpsetool -n pdftex -p tex) \
-	fmtutil --byfmt pdflatex --fmtdir .
+	pdftex -ini pdflatex.ini > /dev/null
+#	fmtutil --byfmt pdflatex --fmtdir .
 
 # required by thumbpdf (called from debiandoc2latexpdf)
 pdftex.fmt: texmf/language.dat
 	TEXINPUTS=$$(pwd)/texmf/:$$(kpsetool -n pdftex -p tex) \
-	fmtutil --byfmt pdftex --fmtdir .
+	pdftex -ini pdftex.ini > /dev/null
+#	fmtutil --byfmt pdftex --fmtdir .
+
+latex.efmt: texmf/language.dat
+	TEXINPUTS=$$(pwd)/texmf/:$$(kpsetool -n tex -p tex) \
+	etex -ini latex.ini > /dev/null
+#	fmtutil --byfmt latex --fmtdir .
+
+pdflatex.efmt: texmf/language.dat
+	TEXINPUTS=$$(pwd)/texmf/; \
+	pdfetex -ini pdflatex.ini > /dev/null
+#	fmtutil --byfmt pdflatex --fmtdir .
+
+# required by thumbpdf (called from debiandoc2latexpdf)
+pdftex.efmt: texmf/language.dat
+	TEXINPUTS=$$(pwd)/texmf/; \
+	pdfetex -ini pdftex.ini > /dev/null
+#	fmtutil --byfmt pdftex --fmtdir .
 
 # DVI
+$(MANUAL).el.dvi: $(MANUAL).el.sgml
+	@echo Locale 'el' not yet supported
 
 $(MANUAL).%.dvi: $(MANUAL).%.sgml $(MANUAL).%.ent latex.fmt
 	bin/debiandoc2latexdvi $(BUILD_OPT) -l  $$(echo $* | bin/getlocale) $<
 
 # PS
-
-$(MANUAL).%.ps: $(MANUAL).%.sgml $(MANUAL).%.ent latex.fmt
+$(MANUAL).el.ps: $(MANUAL).el.sgml
+	@echo Locale 'el' not yet supported
+
+$(MANUAL).%.ps: $(MANUAL).%.sgml $(MANUAL).%.ent latex.fmt latex.efmt
 	bin/debiandoc2latexps $(BUILD_OPT) -l  $$(echo $* | bin/getlocale) $<
 
 # PDF
-
-$(MANUAL).%.pdf: $(MANUAL).%.sgml $(MANUAL).%.ent pdflatex.fmt pdftex.fmt
+$(MANUAL).el.pdf: $(MANUAL).el.sgml
+	@echo Locale 'el' not yet supported
+
+$(MANUAL).%.pdf: $(MANUAL).%.sgml $(MANUAL).%.ent pdflatex.fmt pdftex.fmt pdflatex.efmt pdftex.efmt
 	bin/debiandoc2latexpdf $(BUILD_OPT) -l $$(echo $* | bin/getlocale) $<
 
 
@@ -241,10 +266,11 @@
 distclean: clean
 	rm -Rf $(PUBLISHDIR)/$(MANUAL)
 
+# This rely on BASH
 clean:
 	rm -f $(MANUAL)*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,sasp*,out,tov,tpt,hyp}
 	rm -f *~ prior.aux pprior.aux *.log typescript README README.html
-	rm -f {latex,pdflatex,pdftex}.{fmt,log} *.tex[01]pdf *.tex[01]ps
+	rm -f {latex,pdflatex,pdftex}.{fmt,log,efmt} *.tex[01]pdf *.tex[01]ps
 	rm -f *.error $(MANUAL).*.ent date.ent
 	rm -rf $(MANUAL)*.html *stamp

## apt-howto 2.0.2

=== Makefile ===
--- 
+++ 
@@ -39,11 +39,16 @@
 #PUBLISHDIR := /org/www.debian.org/www/doc/manuals
 PUBLISHDIR := ~/public_html
 
+KEEP := 40
+PODIR := po4a/po
+PO_LANGS := $(basename $(notdir $(wildcard $(PODIR)/*.po)))
+NORMALIZED_PO_LANGS = $(shell echo $(PO_LANGS) | sed 's/pt_BR/pt-br/')
+
 # Locale list of "publish" target for the DDP documents:
-LANGS := ca de el en es fr it ja ko pl pt-br ru tr 
+LANGS := en ja $(NORMALIZED_PO_LANGS)
 
 # All SGML source files
-SGMLSRCS := $(foreach lang, $(LANGS), $(MANUAL).$(lang).sgml) 
+SGMLS := $(foreach lang, $(LANGS), $(MANUAL).$(lang).sgml) 
 
 # =================================================================== #
 #                 Build target default part: Routine                  #
@@ -70,11 +75,12 @@
 # =================================================================== #
 # If some languages have problems building, filter-out in here.
 
+sgml: $(SGMLS)
 html: $(HTMLS)
 text txt:  $(TXTS)
 dvi:   $(DVIS)
-ps:   $(shell echo $(PSS) | sed s/apt-howto.el.ps//g)
-pdf:  $(shell echo $(PDFS) | sed s/apt-howto.el.pdf//g)
+ps:   $(shell echo $(PSS) | sed s/apt-howto.el.ps//g | sed s/apt-howto.fr.ps//g | sed s/apt-howto.ja.ps//g)
+pdf:  $(shell echo $(PDFS) | sed s/apt-howto.el.pdf//g | sed s/apt-howto.fr.pdf//g | sed s/apt-howto.ja.pdf//g)
 publish: publish-html publish-txt publish-ps publish-pdf
 
 # =================================================================== #
@@ -118,34 +124,34 @@
 # even if language.dat is in . it isn't found without setting TEXINPUTS
 # (. is always in path, so I do not understand this!)
 
-latex.fmt: texmf/language.dat
+latex.fmt: 
 	TEXINPUTS=$$(pwd)/texmf/:$$(kpsetool -n tex -p tex) \
 	tex -ini latex.ini > /dev/null
 #	fmtutil --byfmt latex --fmtdir .
 
-pdflatex.fmt: texmf/language.dat
+pdflatex.fmt: 
 	TEXINPUTS=$$(pwd)/texmf/:$$(kpsetool -n pdftex -p tex) \
 	pdftex -ini pdflatex.ini > /dev/null
 #	fmtutil --byfmt pdflatex --fmtdir .
 
 # required by thumbpdf (called from debiandoc2latexpdf)
-pdftex.fmt: texmf/language.dat
+pdftex.fmt: 
 	TEXINPUTS=$$(pwd)/texmf/:$$(kpsetool -n pdftex -p tex) \
 	pdftex -ini pdftex.ini > /dev/null
 #	fmtutil --byfmt pdftex --fmtdir .
 
-latex.efmt: texmf/language.dat
+latex.efmt: 
 	TEXINPUTS=$$(pwd)/texmf/:$$(kpsetool -n tex -p tex) \
 	etex -ini latex.ini > /dev/null
 #	fmtutil --byfmt latex --fmtdir .
 
-pdflatex.efmt: texmf/language.dat
+pdflatex.efmt: 
 	TEXINPUTS=$$(pwd)/texmf/; \
 	pdfetex -ini pdflatex.ini > /dev/null
 #	fmtutil --byfmt pdflatex --fmtdir .
 
 # required by thumbpdf (called from debiandoc2latexpdf)
-pdftex.efmt: texmf/language.dat
+pdftex.efmt: 
 	TEXINPUTS=$$(pwd)/texmf/; \
 	pdfetex -ini pdftex.ini > /dev/null
 #	fmtutil --byfmt pdftex --fmtdir .
@@ -171,6 +177,24 @@
 $(MANUAL).%.pdf: $(MANUAL).%.sgml $(MANUAL).%.ent pdflatex.fmt pdftex.fmt pdflatex.efmt pdftex.efmt
 	bin/debiandoc2latexpdf $(BUILD_OPT) -l $$(echo $* | bin/getlocale) $<
 
+# Generating SGML
+define sgml_rule
+$(MANUAL).$(1).sgml: $(MANUAL).en.sgml $(PODIR)/$(shell echo $(1) | bin/getlocale).po \
+		$(wildcard po4a/addendum.doc*.$(1))
+	-po4a-translate -k $(KEEP) -f sgml -m $(MANUAL).en.sgml \
+		-p $(PODIR)/$(shell echo $(1) | bin/getlocale).po -l $(MANUAL).$(1).sgml \
+	$(patsubst %,-a %,$(wildcard po4a/addendum.doc*.$(1)))
+
+endef
+
+SGML_RULES := $(foreach language, $(NORMALIZED_PO_LANGS), $(call sgml_rule,$(language)))
+
+$(eval $(SGML_RULES))
+
+$(MANUAL).%.sgml: $(MANUAL).en.sgml $(PODIR)/%.po
+
+update-%.po: $(MANUAL).en.sgml
+	po4a-updatepo -f sgml -m $(MANUAL).en.sgml -p $(PODIR)/$*.po
 
 # =================================================================== #
 #                 Build rule part: Web publish                        #
@@ -273,6 +297,7 @@
 	rm -f {latex,pdflatex,pdftex}.{fmt,log,efmt} *.tex[01]pdf *.tex[01]ps
 	rm -f *.error $(MANUAL).*.ent date.ent
 	rm -rf $(MANUAL)*.html *stamp
+	rm -f $(MANUAL).{$(shell echo $(NORMALIZED_PO_LANGS) | sed 's/ /,/g')}.sgml
 
 .PHONY: all html text txt ps pdf files tar sf \
 	publish publish-all publish-html publish-ps publish-pdf \
